<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_fa7526ba4ccc308f" . "e61186445986ceaa" => base64_decode("cmVja" . "XBpZW" . "50cw=" . "="), "_692281770f7e78b4e16a6" . "57a42c2bc58" => base64_decode("cHJvamVjdHMudGFza19kaXNjdXNzaW9uX3Bvc3RlZA=" . "="), "_6e38cb9e043a07cd69a" . "1711a6704c62a" => base64_decode("cGFyZW50" . "X2lk"), "_fee8ad32cafd14e7ed89e05a85504fb" . "8" => base64_decode("cHJvamVjdHMudGFza19yZXBseV" . "9wb3N0ZWQ="), "_a71dc9333bd8ad95d55d6" . "624b477875f" => base64_decode("ZGF0" . "YQ=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class TaskCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_6e38cb9e043a07c" . "d69a1711a6704c62" . "a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_692281770f" . "7e78b4e16a6" . "57a42c2bc58"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fee8ad32caf" . "d14e7ed89e05" . "a85504fb8"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a71dc9333bd8ad95d55d6624b47" . "7875f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_fa7526ba4ccc308fe" . "61186445986ceaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_TASK;
    }
}